For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
      • POSTSet up bonuses
      • POSTPay bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceBonuses

Set up bonuses

|View as Markdown|Open in Claude|
POST
https://api.prolific.com/api/v1/submissions/bonus-payments/
POST
/api/v1/submissions/bonus-payments/
$curl -X POST https://api.prolific.com/api/v1/submissions/bonus-payments/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "study_id": "60f6acb180a7b59ac0621f9e",
> "csv_bonuses": "60ffe5c8371090c7041d43f8,4.25\n60ff44a1d00991f1dfe405d9,4.25"
>}'
1{
2 "id": "621014cb8e9e0f81e387021f",
3 "total_amount": 1133.34,
4 "study": "620ca2735fcbba4fa2b3211a",
5 "amount": 850,
6 "fees": 283.34,
7 "vat": 0
8}
Set up bonus payments to one or more participants/submissions in a study. You need the study id, the participant|submission ids and the request in CSV format. The csv_bonuses field needs to be structured in the format of either: - `<participant_id>,<amount>\n`. - `<submission_id>,<amount>\n`. **Note: The amount will be in the study currency. The amount should be a decimal value, e.g. 1.50 for £1.50.** Warning: An amount of 30 will pay £/$30.00. As an example, `60ffe5c8371090c7041d43f8,4.25` would be a bonus of £4.25 for participant 60ffe5c8371090c7041d43f8 in a study with GBP currency. Setting up a bonus payment does not actually pay them, to do so check [/api/v1/bulk-bonus-payments/{id}/pay/](#tag/Bonuses/paths/~1api~1v1~1bulk-bonus-payments~1%7Bid%7D~1pay~1/post) The submission and participant IDs need to have taken part in the study in order for this call to be successful. If not, you will get a "400" HTTP response back, which explains which IDs are incorrect. We recommend a maximum of 200 participant or submission IDs per request.
Was this page helpful?
Previous

Bonuses

Next

Pay bonuses

Set up bonus payments to one or more participants/submissions in a study.

You need the study id, the participant|submission ids and the request in CSV format.

The csv_bonuses field needs to be structured in the format of either:

  • <participant_id>,<amount>\n.
  • <submission_id>,<amount>\n.

Note: The amount will be in the study currency. The amount should be a decimal value, e.g. 1.50 for £1.50. Warning: An amount of 30 will pay £/$30.00.

As an example, 60ffe5c8371090c7041d43f8,4.25 would be a bonus of £4.25 for participant 60ffe5c8371090c7041d43f8 in a study with GBP currency.

Setting up a bonus payment does not actually pay them, to do so check /api/v1/bulk-bonus-payments/{id}/pay/

The submission and participant IDs need to have taken part in the study in order for this call to be successful. If not, you will get a “400” HTTP response back, which explains which IDs are incorrect.

We recommend a maximum of 200 participant or submission IDs per request.

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Request

This endpoint expects an object.
study_idstringOptional
csv_bonusesstringOptional

Response

Bonus created
idstring
Bonus ID. It is the ID to be used when paying the bonus
total_amountdouble
Total amount that will be deducted from your balance in cents
studystring
Study ID
amountdouble
The amount the participant will receive in cents
feesdouble
The fees Prolific will charge for this bonus in cents
vatdouble
The VAT cost for this bonus in cents

Errors

4XX
Client Request Error